## org.apache.poi.hslf.record
Class TxInteractiveInfoAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.TxInteractiveInfoAtom

    public final class TxInteractiveInfoAtom

extends RecordAtom

Tne atom that holds starting and ending character positions of a hyperlink

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` `TxInteractiveInfoAtom()` Constructs a brand new link related atom record.
`protected` `TxInteractiveInfoAtom(byte[] source, int start, int len)` Constructs the link related atom record from its source data.

Method Summary
`int` `getEndIndex()` Gets the ending character position
`long` `getRecordType()` Gets the record type.
`int` `getStartIndex()` Gets the beginning character position
`void` `setEndIndex(int idx)` Sets the ending character position
`void` `setStartIndex(int idx)` Sets the beginning character position
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TxInteractiveInfoAtom

    public TxInteractiveInfoAtom()

  Constructs a brand new link related atom record.

### TxInteractiveInfoAtom

    protected TxInteractiveInfoAtom(byte[] source,
                                    int start,
                                    int len)

  Constructs the link related atom record from its source data.

  Parameters:
    `source` - the source data as a byte array.
    `start` - the start offset into the byte array.
    `len` - the length of the slice in the byte array.

Method Detail

### getStartIndex

    public int getStartIndex()

  Gets the beginning character position

  Returns:
    the beginning character position

### setStartIndex

    public void setStartIndex(int idx)

  Sets the beginning character position

  Parameters:
    `idx` - the beginning character position

### getEndIndex

    public int getEndIndex()

  Gets the ending character position

  Returns:
    the ending character position

### setEndIndex

    public void setEndIndex(int idx)

  Sets the ending character position

  Parameters:
    `idx` - the ending character position

### getRecordType

    public long getRecordType()

  Gets the record type.

  Specified by:
    `getRecordType` in class `Record`
  Returns:
    the record type.

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Parameters:
    `out` - the output stream to write to.
  Throws:
    `java.io.IOException` - if an error occurs.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.